> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ASN Validate

> ASN Validate



## OpenAPI

````yaml openapi/billing.yaml get /v1/common/asn/validate/{asn}
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/common/asn/validate/{asn}:
    get:
      tags:
        - Common
      summary: ASN Validate
      description: ASN Validate
      operationId: API-Pub-Common-ASN-Validate
      parameters:
        - name: asn
          in: path
          description: ASN
          required: true
          schema:
            type: object
            properties:
              asn:
                type: integer
      responses:
        '200':
          description: ASN Validate Resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/API.Pub.Resources.Common.ASN.ASNResource'
              example:
                asn: 0
                valid: true
                as_name: string
                uce3: true
                ofac: true
                spamhaus: true
                country: string
                status: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    API.Pub.Resources.Common.ASN.ASNResource:
      type: object
      properties:
        asn:
          type: integer
        valid:
          type: boolean
        as_name:
          type: string
        uce3:
          type: boolean
        ofac:
          type: boolean
        spamhaus:
          type: boolean
        country:
          type: string
        status:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````